% $Header: /cvsroot/latex-beamer/latex-beamer/solutions/generic-talks/generic-ornate-15min-45min.en.tex,v 1.22 2004/10/07 20:53:08 tantau Exp $

\documentclass[10pt,aspectratio=169]{beamer}
%\documentclass[10pt]{beamer}

% This file is a solution template for:

% - Giving a talk on some subject.
% - The talk is between 15min and 45min long.
% - Style is ornate.



% Copyright 2004 by Till Tantau <tantau@users.sourceforge.net>.
%
% In principle, this file can be redistributed and/or modified under
% the terms of the GNU Public License, version 2.
%
% However, this file is supposed to be a template to be modified
% for your own needs. For this reason, if you use this file as a
% template and not specifically distribute it as part of a another
% package/program, I grant the extra permission to freely copy and
% modify this file as you see fit and even to delete this copyright
% notice.

 \definecolor{hellgelb}{rgb}{1,1,0.75} 
 \definecolor{colKeys}{rgb}{0,0,1} 
 \definecolor{colIdentifier}{rgb}{0,0,0} 
 \definecolor{colComments}{rgb}{1,0,0} 
 \definecolor{colString}{rgb}{0,0.5,0} 

\newcommand{\vect}[1]{\mathbf{#1}}

 
\usepackage{listings,graphicx,tabularx}
\lstset{
language=XML,
keywordstyle=\color{blue},
identifierstyle=\color{blue},
stringstyle=\color{green},
basicstyle=\ttfamily\small,
%backgroundcolor=\color{hellgelb}, 
%frame=single% 
}
\mode<presentation>
{
  \usetheme{Boadilla}
%  \usetheme{Singapore}
 % \usetheme{Madrid}
  % or ...

  \setbeamercovered{transparent}
  % or whatever (possibly just delete it)
}




\usepackage[french]{babel}
% or whatever

\usepackage[utf8]{inputenc}
% or whatever

\usepackage{times,ams math,amssymb,mathtools}
% Or whatever. Note that the encoding and the font should match. If T1
% does not look nice, try deleting the line with the fontenc.


\title[SYSMETAB] % (optional, use only with long paper titles)
{SYSMETAB}

\subtitle
{Non Stationary Metabolic flux analysis\\in isotope labeling experiments using the adjoint approach} % (optional)


\author% (optional, use only with lots of authors)
{S.~Mottelet\inst{1}, G. Gaullier\inst{2}}
% - Use the \inst{?} command only if the authors have different
%   affiliation.

\institute[UTC] % (optional, but mostly needed)
{Université de Technologie de Compiègne\\
\inst{1} Laboratoire TIMR EA 4297 \\
\inst{2} Laboratoire LMAC EA 2222}
% - Use the \inst command only if there are several affiliations.
% - Keep it simple, no one is interested in your street address.

\date[] % (optional)
{\includegraphics[width=0.9\linewidth]{Bandeau10JS1_3}}

\subject{Talks}
% This is only inserted into the PDF information catalog. Can be left
% out. 



% If you have a file called "university-logo-filename.xxx", where xxx
% is a graphic format that can be processed by latex or pdflatex,
% resp., then you can add a logo as follows:

% \pgfdeclareimage[height=0.5cm]{university-logo}{university-logo-filename}
% \logo{\pgfuseimage{university-logo}}



% Delete this, if you do not want the table of contents to pop up at
% the beginning of each subsection:


% If you wish to uncover everything in a step-wise fashion, uncomment
% the following command: 

%\beamerdefaultoverlayspecification{<+->}


\begin{document}

\begin{frame}
  \titlepage
\end{frame}

\begin{frame}
  \frametitle{The project}
  \framesubtitle{2013-2016}
\begin{itemize}
\item Post-doctoral fellows G. Sadaka (2013-2014), G. Gaullier (2015-2016)
\vfill
This work was performed, in partnership with the SAS PIVERT, within the frame of the French Institute for the Energy Transition (Institut pour la Transition Energétique - ITE) P.I.V.E.R.T. (www.institut-pivert.com) selected as an Investment for the Future ("Investissements d'Avenir"). This  work was supported, as part of the Investments for the Future, by the French Government under the reference ANR-001-01"

\bigskip 
Work Package 4 "Metabolism of lipids  from the plant to microorganisms" (sub-task 4.1.22 "Metabolic Modelling" joint work with INRA-BIMLip, UMR 6022 GEC - UTC).
$$
\includegraphics[width=0.2\linewidth]{logo_utc}~~~~~~~~~~
\includegraphics[width=0.15\linewidth]{logo_UPJV}~~~~~~~~~~
\includegraphics[width=0.5\linewidth]{logo_pivert}
$$

\end{itemize}
\end{frame}


\begin{frame}
  \frametitle{Outline}
  \begin{itemize}
  \item A model problem and some important notions
  \item Non stationary MFA : motivation, software
  \item Sysmetab, the adjoint approach and other innovations 
  \item Trends and conclusion
  \end{itemize}
  % You might wish to add the option [pausesections]
\end{frame}


% Since this a solution template for a generic talk, very little can
% be said about how it should be structured. However, the talk length
% of between 15min and 45min and the theme suggest that you stick to
% the following rules:  

% - Exactly two or three sections (other than the summary).
% - At *most* three subsections per section.
% - Talk about 30s to 2min per frame. So there should be between about
%   15 and 30 frames, all told.

\begin{frame}
  \frametitle{A model problem}
\framesubtitle{and some important notions}
\begin{columns}
\begin{column}{.4\linewidth}
\begin{block}{\small Continuous enzymatic reaction}
  $$
  \mathop{\longrightarrow}^{Q}S\mathop{\longrightarrow}^{v} P\mathop{\longrightarrow}^{Q}
  $$
  \begin{align*}
  S'&=-v(S)+Q,\,t>0\\
  P'&=-S',\\
  S(0)&=P(0)=0.
  \end{align*}
\end{block}
\end{column}
\begin{column}{.4\linewidth}
\pause\begin{block}{\small Monod/Michaelis kinetics}
$$
v(S)=\frac{V_{max}S}{K+S},\quad Q<V_{max}
$$
\color{red}{Metabolic} stationary state
$$
\lim_{t\rightarrow \infty}S(t)=S^*
$$
\end{block}
\end{column}
\end{columns}
\pause
\begin{center}
How to identify $K$ et $V_{max}$ when the metabolic stationary state is reached and maintained ?
\end{center}
\pause
\begin{center}
$\longrightarrow$ feed the reactor  with a mix of two \textcolor{blue}{isotopomers} of $S=S_1+S_2$ :
\end{center}
  $$
  \mathop{\longrightarrow}^{Q_1}S_1\mathop{\longrightarrow}^{v_1} P_1\mathop{\longrightarrow}^{Q_1}\qquad
  \mathop{\longrightarrow}^{Q_2}S_2\mathop{\longrightarrow}^{v_2} P_2\mathop{\longrightarrow}^{Q_2}\qquad Q_1=\alpha Q, Q_2=(1-\alpha)Q,
  $$
  $$
  S=S_1+S_2,\quad P=P_1+P_2.
  $$
\end{frame}
%
\begin{frame}
  \frametitle{A model problem}
\framesubtitle{and some important notions}
\begin{itemize}
\item Isotopic labeling
$$S_1=\textcolor{red}{{}^{13}\mathsf{C}_6}\mathsf{H}_{12}\mathsf{O}_6, \quad{S}_2={}^{12}\mathsf{C}_6\mathsf{H}_{12}\mathsf{O}_6$$

\pause\item Under the hypothesis justifying the Monod/Michaelis kinetics
\begin{align*}
  S'&=-V_{max}\frac{S}{K+S}+ Q,\\
  S_1'&=-V_{max}\frac{S_1}{K+S}+\alpha Q,\\
  S_2'&=-V_{max}\frac{S_2}{K+S}+(1-\alpha) Q.
  \end{align*}
\vfill\pause\item Isotopic labeling experiment
\vfill\begin{itemize}
\item $t<T_m$, $\alpha=0$ until the  \textcolor{blue}{metabolic} stationary state is reached
\item $t\geq T_m$, $\alpha=1$ until the  \textcolor{red}{isotopic} stationary state is reached 
\end{itemize}
\end{itemize}
\end{frame}
%
\begin{frame}
  \frametitle{A model problem}
\framesubtitle{and some important notions}
\begin{center}
\includegraphics[width=0.66\linewidth]{S1S2}
\end{center}
\begin{itemize}
\begin{minipage}[t][4cm][t]{\linewidth}
\only<1-2>{\item For $t\geq 50$ a  \textcolor{blue}{first order kinetics} is observed for  $S_1$ and $S_2$
\begin{align*}
  S_1'&=\textcolor{blue}{-\mu S_1}+\alpha Q,\\
  S_2'&=\textcolor{blue}{-\mu S_2}+(1-\alpha) Q,
    \end{align*}
$$
  \mu=\cfrac{V_{max}}{K+S^*},\quad
  S^*=\frac{KQ}{V_{max}-Q}
$$
\pause
\item $\mu$ can be estimated from $S_1$ and/or $S_2$ for $t\in[50,60]$
}
\end{minipage}
\end{itemize}
\end{frame}
%
\begin{frame}
  \frametitle{A model problem}
\framesubtitle{Actual state variables in MFA}
\begin{itemize}
\item Isotopomer fractions  : $s_i=\displaystyle\frac{S_i}{S}$
\pause\item Complete kinetics (metabolic/isotopic)
\begin{align*}
  S'&=-v(S)+ Q,\\
  (Ss_1)'&=\textcolor{blue}{-v(S)s_1}+\alpha Q,\\
  (Ss_2)'&=\textcolor{blue}{-v(S)s_2}+(1-\alpha) Q.
  \end{align*}
the reaction rate  is shared proportionally  to isotopomer fractions
\pause\item Sole isotopic kinetics
\begin{align*}
  S^*s_1'&=\textcolor{red}{-v(S^*)}s_1+\alpha Q,\\
  S^*s_2'&=\textcolor{red}{-v(S^*)}s_2+(1-\alpha) Q.
  \end{align*}
\end{itemize}
\end{frame}


\begin{frame}
\frametitle{Non stationary MFA}
\framesubtitle{Motivation}
\begin{itemize}
\item Why make some experiments once the metabolic state is reached ?
\bigskip
\begin{itemize}
\item The particular form of the kinetics (and associated parameters) disappears and is replaced by asymptotic reaction rates, called \textcolor{red}{fluxes} 
\item Remaining unknowns : fluxes and asymptotic concentration of metabolites called \textcolor{red}{pool sizes}
\item If the reaction network is exhaustive, the model is reliable
\end{itemize}
\bigskip
\item Why make some experiments  \textcolor{blue}{before} the isotopic stationary state is reached ?
\bigskip
\begin{itemize}
\item Cost of the labeled substrate
\item Time constants can be very large for some organism
\item \textcolor{blue}{Qualitative and quantitative} gain of information (narrower confidence intervals for fluxes)
\end{itemize}
\end{itemize}
\end{frame}

\begin{frame}
\frametitle{Non stationary MFA}
  \framesubtitle{Software}
\begin{itemize}
\item INCA/MFA suite (Young et al., Vanderbilt Univ., Nashville, 10/2013)
\begin{itemize}
\item BFGS inspired, Matlab implementation, only MS and H1-RMN measurements, \textcolor{red}{closed source}
\end{itemize}
\item Sysmetab (Mottelet et al., UTC, 1/2016)
\begin{itemize}
\item BFGS inspired / feasible directions (FSQP),  Scilab implementation, \textcolor{blue}{adjoint approach}, \textcolor{green}{open-source}
\end{itemize}
\item influx\_{si} (Sokol et al., LISBP Toulouse, 4/2016)
\begin{itemize}
  \item Gauss-Newton inspired / feasible directions (NLSIC),  R/C++ implementation, \textcolor{green}{open-source}
\end{itemize}
\end{itemize}
\vfill\small\footnotesize
S. Mottelet et al., \textcolor{blue}{Metabolic Flux Analysis in Isotope Labeling Experiments using the Adjoint Approach}, {\em IEEE/ACM Transactions on Computational Biology and Bioinformatic}, 2016 (to appear, DOI: 10.1109/TCBB.2016.2244299)
\end{frame}

\begin{frame}
\frametitle{Non stationary MFA}
  \framesubtitle{The identification problem in continuous time}
	\begin{itemize}
	\item State equation for $t\in[0,T]$ 
	$$
	\vect{D}(\vect{s^*})\vect{x}'(t)=\mathbf{f}(\mathbf{x}(t),\mathbf{v}),
	$$
	$\vect{x}(t)\in\mathbb{R}^N$ is the vector of cumomers $\vect{x}_1(t),\dots,\vect{x}_n(t)$
    \pause\item Observation at times $\tau_i$, $i=1\dots m$
	$$
	\mathbf{y}(\tau_i)=\mathbf{C_0}+\mathbf{C}\mathbf{x}(t)=\mathbf{C_0}+\sum_{k=1}^n\mathbf{C_k}\mathbf{x_k}(\tau_i),\,i=1\dots m
	$$
	\pause\item Cost function (where $\mathbf{z}_{i}$ is the measurement at time $\tau_i$)
	$$
	J(\vect{v,s^*}) = \sum_{i=1}^m \Vert \mathbf{y}(\tau_i)-\mathbf{z}_{i}\Vert^2
	$$
	\pause\item Identification problem : \textcolor{blue}{find $\vect{v,s^*}$ ($p$ parameters) minimizing $J(\vect{v,s^*})$}
	\end{itemize}	
	\vfill
\end{frame}

\begin{frame}
\frametitle{Sysmetab}
  \framesubtitle{Innovations}
	\begin{itemize}
	\item Computation of the gradient of $J(\mathbf{v,s^*})$  (for BFGS inspired methods)
	
	\begin{itemize}
	\item Sysmetab uses the adjoint method : compute the \textcolor{blue}{adjoint state $\lambda(t)$}
\vfill
	\begin{center}
	$\vect{x}(t)\in \mathbb{R}^N$, $\vect{\lambda}(t)\in \mathbb{R}^N$ : ODE of size \textcolor{blue}{$N+N$}
	\end{center}
	\item others use the direct method : compute  the \textcolor{red}{sensitivity matrix $\displaystyle\mathbf{{\partial_ v}x}(t)$}
\vfill
	\begin{center}
	$\vect{x}(t)\in \mathbb{R}^N$, $\mathbf{{\partial_ v}x}(t)\in \mathcal{M}_{N,p}(\mathbb{R})$ : ODE of size \textcolor{red}{$N+Np$}
	\end{center}
\vfill
	\end{itemize}
\pause\vfill	\item Practical implementation in Sysmetab
	\begin{itemize}
	\item Time discretization + \textcolor{blue}{SDIRK ODE schemes} (Singly Diagonally Implicit Runge-Kutta) of order $1,2$ and \textcolor{blue}{$4$} :
	\end{itemize}
\vfill
	$$
	\vect{D}(\vect{s^*})(\vect{x}_{k+1}-\vect{x}_{k})={\Phi}(\mathbf{x}_k,\mathbf{v}),\quad \mathbf{x}_k\approx \mathbf{x}(t_k)
	$$
\vfill
	\begin{center}
	How to choose order and stepsize $t_{k+1}-t_k=h=\frac{T}{n_T}$ of the scheme ?
	\end{center}
\end{itemize}	
\end{frame}

\begin{frame}
  \frametitle{Sysmetab}
  \framesubtitle{Innovations}
	Real error (identified parameters - true parameters, central metabolism of E. Coli, 10 measurement points)
	$$
	\includegraphics[width=0.6\linewidth]{comparaison_schemas}
	$$
    The error on identified parameters inherits  the ODE scheme order : this allows a smart error estimation method !
\end{frame}

\begin{frame}
  \frametitle{Sysmetab}
  \framesubtitle{Innovations}
	\begin{itemize}
	\item Error estimation by the \textcolor{red}{Richardson method}
	\vfill
	${\hat\Theta}(h)$ is the vector of estimated parameters with ODE scheme of order $q$ and step $h$ ($\alpha=1.5$, for example)
	\begin{align*}
	{\hat\Theta}(h)&=\Theta+\textcolor{red}{\vect{C}}h^q+\mathbf{O}(h^{q+1}),\\
	{\hat\Theta}(\alpha h)&=\Theta+\textcolor{red}{\vect{C}}(\alpha h)^q+\mathbf{O}(h^{q+1}),\\
	\end{align*}
	\vfill
	We obtain the estimate $\textcolor{red}{\vect{C}}\approx \displaystyle\frac{{\hat\Theta}(h)-{\hat\Theta}(\alpha h)}{(1-\alpha^q)h^q}$, which gives
	$$\color{blue}
	{\hat\Theta}(h)-\Theta \approx \frac{{\hat\Theta}(h)-{\hat\Theta}(\alpha h)}{(1-\alpha^q)}
	$$
	This estimation has to be considered relatively to $\Theta$ estimated standard deviation
    \end{itemize}
\end{frame}

\begin{frame}
  \frametitle{Sysmetab}
  \framesubtitle{Results for the central metabolism of E. Coli}
\sf\footnotesize \noindent\begin{tabularx}{\linewidth}{cccc}
~~~PGA & ~~~FruBP & ~~~Suc\\
\includegraphics[width=.22\linewidth]{pga} & \includegraphics[width=.22\linewidth]{frubp} & \includegraphics[width=.22\linewidth]{Suc} & \includegraphics[width=.22\linewidth]{mass}\\
~~~Glc6P & ~~~Fru6P & ~~~ICit & ~~~PEP \\
\includegraphics[width=.22\linewidth]{Glc6P} & \includegraphics[width=.22\linewidth]{fru6p} & \includegraphics[width=.22\linewidth]{icit} & \includegraphics[width=.22\linewidth]{PEP}\\
~~~~Time (s) & ~~~~Time (s) & ~~~~Time (s) & ~~~~Time (s)\\\end{tabularx}
\end{frame}



\begin{frame}
  \frametitle{Sysmetab}
  \framesubtitle{Results for the central metabolism of E. Coli}
  $n_T=10$, SDIRK4 scheme (flux and error estimation take 40 seconds)

\begin{center}
\begin{tabular}{llll|ll}
\textbf{Data}	& \multicolumn{3}{c}{Nonstationary}	& \multicolumn{2}{|c}{Stationary} \\\hline
\small
{Free fluxes}& Value & st. dev. & rel. err. (\%) & Value  & std. dev. \\ \hline
Glucupt\_1.n & 0.808 & \alert<2>{0.0019} & \alert<3>{5.2} & 0.808 & \alert<2>{0.0037} \\
pyk.n        & 1.537 & 0.1817 & \alert<3>{0.1}&1.548 & 0.1336 \\
zwf.n        & 0.157 & 0.0212 & \alert<3>{2.5} &0.129 & 0.0323 \\
gnd.n	     & 0.154 & \alert<2>{0.0105} & \alert<3>{4.2} &0.129 & \alert<2>{0.0278} \\
out\_Ac.n    & 0.213 & 1e-5 & \alert<3>{1e-7} &0.213 & 1e-5 \\
ald.x        & 0.670 & \alert<2>{0.0427} & \alert<3>{2.8} &0.842 & \alert<2>{0.1010} \\
eno.x        & 999  &  $\infty$ & \alert<3>{0} & 999 & $\infty$ \\
ta.x         & 0.548 & \alert<2>{0.0203} & \alert<3>{0.7} & 0.553 & \alert<2>{0.0387} \\
tk1.x        & 0.189 & \alert<2>{0.0216} & \alert<3>{4.7}& 0.164 & \alert<2>{0.0502} \\
tk2.x        & 0 & \alert<2>{0.0120}  & \alert<3>{0}  & 0 & \alert<2>{0.0278} \\
fum\_a.x     & 0.106 & 0.1846 &  \alert<3>{0.05}& 0 & 0.184 \\
ppc.x        & 0.224 & 0.0948 & \alert<3>{3.6} & 0.169 & 0.0798
\end{tabular}
\end{center}
\end{frame}

\begin{frame}
  \frametitle{Trends and conclusion}
  \begin{columns}
  \begin{column}{.7\linewidth}
\begin{itemize}
\vfill
\item Sysmetab uses up to date numerical methods and can compete with other software (stationary and non stationary MFA)
\vfill
\begin{itemize}
\item Adjoint computation of the gradient $\longrightarrow$ fast identification
\item High order implicit ODE scheme + error estimation
\item Handling of compartments and dilution effects
\end{itemize}
\vfill
\item Ongoing developpements
\vfill

\begin{itemize}
\item Speed improvements (switch from Scilab to Julia)
\item Documentation (...)
\item CellDesigner plug-in
\end{itemize}
\end{itemize}
\vfill
\begin{center}
\texttt{http://forge.scilab.org/p/sysmetab}
\end{center}
\vfill
  \end{column}
  \begin{column}{.3\linewidth}
\includegraphics[width=.8\linewidth]{sysmetab}~~~~~
  \end{column}
  \end{columns}
\end{frame}



\end{document}


